name: gmapping

cmd:
  - start: |
      source_ros
      stdbuf -oL -eL roslaunch tiago_clf_nav gmapping.launch sim:=$SIMMODE
  - check: |
      source_ros
      rosnode list | grep -e /slam_gmapping$ 

requires:
    - base_system

provides:
    - localization

tags:
    - simulation
    - mapping

host: ${robot}
